Page MenuHomePhabricator

UserProfile: Convert Special:RemoveAvatar to OOUI + HTMLForm
Closed, ResolvedPublic

Description

Screenshots by @Jayprakash12345

Special:RemoveAvatar

BeforeAfter

Special:RemoveAvatar/{username}

BeforeAfter

OnSucess

BeforeAfter

Event Timeline

SamanthaNguyen renamed this task from Convert SocialProfile UserProfile Special:RemoveAvatar to OOJS-UI HTMLForm to UserProfile: Convert Special:RemoveAvatar to OOUI + HTMLForm.Apr 4 2018, 9:43 PM

@Jayprakash12345 Thanks for creating this sort of task again! I had to merge it as a duplicate again which is no problem, just make sure to look through existing tasks in the future :) I'll be reviewing this patch soon!

Also for the record, I'd like to say I agree with @Volker_E's comment on the semantic use of the destructive button.

Change 423947 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/SocialProfile@master] Convert Special:RemoveAvatar/{username} to OOUI

https://gerrit.wikimedia.org/r/423947

Change 423928 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/SocialProfile@master] Partially Convert Special:RemoveAvatar to OOUI

https://gerrit.wikimedia.org/r/423928

Jayprakash12345 triaged this task as Normal priority.
Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptApr 5 2018, 2:26 AM

Change 423947 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert Special:RemoveAvatar/{username} to OOUI

https://gerrit.wikimedia.org/r/423947

Change 423928 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Partially Convert Special:RemoveAvatar to OOUI

https://gerrit.wikimedia.org/r/423928

Jayprakash12345 closed this task as Resolved.Apr 8 2018, 1:32 AM

Change 424858 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/SocialProfile@master] Make success msg little bit stylish

https://gerrit.wikimedia.org/r/424858

Jayprakash12345 added a subscriber: gerritbot.

Change 424858 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/SocialProfile@master] Make success msg little bit stylish
https://gerrit.wikimedia.org/r/424858

This has merged. We remove this from this task because it is related to UI, not OOUI or HTMLForm.

Sorry :)